Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules._collections
Class Collections

    java.lang.Object
      org.python.modules._collections.Collections

All Implemented Interfaces:
  ClassDictInit

    public class Collections

extends Object
implements ClassDictInit

Collections - This module adds the ability to use high performance data structures. - deque: ordered collection accessible from endpoints only - defaultdict: dict subclass with a default value factory

Constructor Summary
`Collections()`

Method Summary
`static void` | `classDictInit(PyObject dict)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Collections

    public Collections()

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage